Summary:	Utilities belonging to the Reiser filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików Reiser
Summary(pt_BR.UTF-8):	Este pacote contém os utilitários para manipulação do sistema de arquivos ReiserFS
Summary(uk.UTF-8):	Утиліти для роботы з файловою системою ReiserFS
Summary(ru.UTF-8):	Утилиты для работы с файловой системой ReiserFS
Name:		reiserfsprogs
Version:	3.6.27
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
#Source0:	http://www.kernel.org/pub/linux/utils/fs/reiserfs/%{name}-%{version}.tar.gz
Source0:	https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	90c139542725efc6da3a6b1709695395
Patch0:		%{name}-am.patch
URL:		https://reiser4.wiki.kernel.org/index.php/Reiserfsprogs
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	libuuid-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	reiserfs-utils
Conflicts:	progsreiserfs < 0.3.1-1.rc8.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl.UTF-8
Pakiet zawiera programy do tworzenia (mkreiserfs), sprawdzania i
naprawiania błędów (reiserfsck) oraz zmiany wielkości
(resize_reiserfs) systemu plików ReiserFS.

%description -l pt_BR.UTF-8
Este pacote contém os utilitários para manipulação do sistema de
arquivos ReiserFS.

%description -l ru.UTF-8
Набор утилит для работы с файловой системой ReiserFS.

%description -l uk.UTF-8
Набір утиліт для роботи з файловою системою ReiserFS.

%package libs
Summary:	reiserfs filesystem-specific libraries
Summary(pl.UTF-8):	Biblioteki dla systemu plików reiserfs
Group:		Libraries

%description libs
reiserfs filesystem-specific libraries.

%description libs -l pl.UTF-8
Biblioteki dla systemu plików reiserfs.

%package devel
Summary:	reiserfs filesystem-specific libraries and headers
Summary(cs.UTF-8):	Knihovny a hlavičkové soubory pro systém souborů reiserfs
Summary(da.UTF-8):	reiserfs filsystemsspecifikke biblioteker og headerfiler
Summary(de.UTF-8):	Bibliotheken und Header-Dateien für reiserfs-Dateisysteme
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para e2fs
Summary(fr.UTF-8):	Bibliothèques et en-têtes spécifiques au système de fichiers reiserfs
Summary(id.UTF-8):	Library dan file header untuk reiserfsprogs
Summary(is.UTF-8):	Aðgerðasöfn og hausaskrár fyrir reiserfs skráarkerfið
Summary(it.UTF-8):	Librerie e file header specifici per il filesystem reiserfs
Summary(ja.UTF-8):	reiserfs ファイルシステムに固有の静的ライブラリとヘッダー
Summary(ko.UTF-8):	reiserfs 파일시스템-지정 정적 라이브러리와 헤더들
Summary(nb.UTF-8):	reiserfs filsystemspesifikke bibliotek og headerfiler
Summary(pl.UTF-8):	Pliki nagłówkowe do bibliotek e2fs
Summary(pt.UTF-8):	Bibliotecas e ficheiros de inclusão específicos do sistema de ficheiros reiserfs
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para e2fs
Summary(ru.UTF-8):	Библиотеки и файлы заголовков для разработки программ, использующих reiserfs
Summary(sk.UTF-8):	Knižnice a hlavičkové súbory pre reiserfs-špecifické programy
Summary(sl.UTF-8):	Knjižnice in glave, specifične datotečnemu sistemu reiserfs
Summary(sv.UTF-8):	reiserfs filsystemspecifika bibliotek och huvuden
Summary(uk.UTF-8):	Бібліотки програміста та хедери для роботи з reiserfs
Summary(zh_CN.UTF-8):	reiserfs 文件系统特有的静态库和头文件。
Summary(zh_TW.UTF-8):	reiserfs 檔案系統特定的靜態函式庫與表頭。
Group:		Development/Libraries

%description devel
reiserfsprogs-devel contains the libraries and header files needed to
develop second extended (reiserfs) filesystem-specific programs.

%description devel -l cs.UTF-8
Balíček reiserfsprogs-devel obsahuje knihovny a hlavičkové soubory
potřebné pro vývoj programů pracujících se systémem souborů reiserfs
(second extended fs).

%description devel -l da.UTF-8
reiserfsprogs-devel indeholder de headerfiler og biblioteker man
behøver for at udvikle programmer specielt rettet mod
reiserfs-filsystemer.

%description devel -l de.UTF-8
Das Paket reiserfsprogs-devel enthält die Bibliotheken und
Header-Dateien, die für die Entwicklung von Programmen für das Second
Extended-Dateisystem (reiserfs) erforderlich sind.

%description devel -l es.UTF-8
reiserfsprogs-devel contiene las bibliotecas y los ficheros de
cabecera necesarios para desarrollar programas específicos para el
sistema de ficheros reiserfs.

%description devel -l fr.UTF-8
reiserfsprogs-devel contient les bibliothèques et fichiers d'en-tête
nécessaires au développement de programmes spécifiques au système de
fichiers reiserfs.

%description devel -l id.UTF-8
reiserfsprogs-devel berisi library dan file header yang dibutuhkan
untuk develop program yang berkaitan dengan filesystem reiserfs.

%description devel -l is.UTF-8
reiserfsprogs-devel inniheldur library og header skrár sem þarf til að
búa til (reiserfs) skráarsafns forrit

%description devel -l it.UTF-8
reiserfsprogs-devel contiene le librerie e i file header necessari per
sviluppare programmi specifici per il filesystem reiserfs.

%description devel -l ja.UTF-8
e2fspgrogs-devel には、Second Extended (reiserfs) ファイルシステムに固有
のプログラムを開発するために必要なライブラリとヘッダーファイルが含まれ ています。

%description devel -l nb.UTF-8
reiserfsprogs-devel inneholder de headerfiler og bibliotek man trenger
for å utvikle programmer spesielt rettet mot reiserfs-filsystemer.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja niezbędne do tworzenia programów
obsługujących e2fs.

%description devel -l pt.UTF-8
O pacote reiserfsprogs-devel contém as bibliotecas e ficheiros de
inclusão necessários para desenvolver programas específicos do sistema
de ficheiros reiserfs.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de programas
específicos para sistema de arquivo reiserfs.

%description devel -l ru.UTF-8
reiserfsprogs-devel содержит статические библиотеки и файлы
заголовков, необходимые при разработке программ, использующих файловую
систему reiserfs.

%description devel -l sk.UTF-8
reiserfsprogs-devel obsahuje knižnice a hlavičkové súbory potrebné pre
vývoj programov pre reiserfs súborový systém.

%description devel -l sv.UTF-8
reiserfsprogs-devel innehåller bibliotek och huvudfiler som behövs för
att utveckla filsystemsspecifika program för det andra utökade
(reiserfs) filsystemet.

%description devel -l uk.UTF-8
reiserfsprogs-devel містить бібліотеки та хедери, необхідні для
написання програм, які працюють з файловою системою reiserfs.

%description devel -l zh_CN.UTF-8
reiserfsprogs-devel 包含开发辅助扩展 (reiserfs) 文件系统专用程序所需的程序库和头文件。

%package static
Summary:	reiserfs filesystem-specific static libraries
Summary(cs.UTF-8):	Statické knihovny pro systém souborů reiserfs
Summary(da.UTF-8):	reiserfs filsystemsspecifikke statiske biblioteker
Summary(de.UTF-8):	Statische Bibliotheken für reiserfs-Dateisysteme
Summary(es.UTF-8):	Bibliotecas estaticas para e2fs
Summary(fr.UTF-8):	Bibliothèques statiques spécifiques au système de fichiers reiserfs
Summary(it.UTF-8):	Librerie statiche specifici per il filesystem reiserfs
Summary(nb.UTF-8):	reiserfs filsystemspesifikke statiske bibliotek
Summary(pl.UTF-8):	Biblioteki statyczne do obsługi systemu plików reiserfs
Summary(pt.UTF-8):	Bibliotecas estaticas específicos do sistema de ficheiros reiserfs
Summary(pt_BR.UTF-8):	Bibliotecas estaticas para e2fs
Summary(ru.UTF-8):	Статические библиотеки для разработки программ, использующих reiserfs
Summary(sk.UTF-8):	Statické knižnice a hlavičkové súbory pre reiserfs-špecifické programy
Summary(sv.UTF-8):	reiserfs filsystemspecifika statiska bibliotek
Summary(uk.UTF-8):	Статичні бібліотки програміста для роботи з reiserfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries needed to develop reiserfs filesystem-specific
programs statically linked with e2progs libs.

%description static -l de.UTF-8
Libraries zur Entwicklung von reiserfs-Dateisystemspezifischen
Programmen erforderlich sind.

%description static -l es.UTF-8
Bibliotecas estaticas para desarrollo de programas específicos para
sistema de archivo reiserfs.

%description static -l pl.UTF-8
Biblioteki statyczne do obsługi e2fs niezbędne do kompilacji programów
statycznie skonsolidowanych (linkowanych) z bibliotekami do e2fs.

%description static -l pt_BR.UTF-8
Bibliotecas estaticas para desenvolvimento de programas específicos
para sistema de arquivo reiserfs.

%description static -l ru.UTF-8
reiserfsprogs-static содержит статические библиотеки, необходимые для
написания программ, работающих с файловой системой reiserfs.

%description static -l uk.UTF-8
reiserfsprogs-static містить статичні бібліотеки, необхідні для
написання програм, які працюють з файловою системою reiserfs.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README
%attr(755,root,root) %{_sbindir}/debugfs.reiserfs
%attr(755,root,root) %{_sbindir}/debugreiserfs
%attr(755,root,root) %{_sbindir}/fsck.reiserfs
%attr(755,root,root) %{_sbindir}/mkfs.reiserfs
%attr(755,root,root) %{_sbindir}/mkreiserfs
%attr(755,root,root) %{_sbindir}/reiserfsck
%attr(755,root,root) %{_sbindir}/reiserfstune
%attr(755,root,root) %{_sbindir}/resize_reiserfs
%attr(755,root,root) %{_sbindir}/tunefs.reiserfs
%{_mandir}/man8/debugfs.reiserfs.8*
%{_mandir}/man8/debugreiserfs.8*
%{_mandir}/man8/fsck.reiserfs.8*
%{_mandir}/man8/mkfs.reiserfs.8*
%{_mandir}/man8/mkreiserfs.8*
%{_mandir}/man8/reiserfsck.8*
%{_mandir}/man8/reiserfstune.8*
%{_mandir}/man8/resize_reiserfs.8*
%{_mandir}/man8/tunefs.reiserfs.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreiserfscore.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libreiserfscore.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreiserfscore.la
%attr(755,root,root) %{_libdir}/libreiserfscore.so
%{_includedir}/reiserfs
%{_pkgconfigdir}/reiserfscore.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libreiserfscore.a
%changelog
* Wed Mar 14 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/reiserfsprogs.git;a=log;h=master

* Wed Mar 14 2018 Marcin Krol <hawk@tld-linux.org> 81efb48
- updated to 3.6.27

* Thu Aug 18 2016 Marcin Krol <hawk@tld-linux.org> afd13e7
- fix internal deps

* Sat Aug 13 2016 Marcin Krol <hawk@tld-linux.org> 6151c6e
- updated to 3.6.25, added libs, devel, static

* Mon Jul 27 2015 Marcin Krol <hawk@tld-linux.org> 9f603bd
- release 2

* Mon Jul 27 2015 Marcin Krol <hawk@tld-linux.org> 14f8c71
- from PLD

